#!/bin/bash

#-------------------- hw section -------------------------------

#### Ask for a number of chunks (select=) each with cpus "ncpus" 
#PBS -l select=1:ncpus=1:mpiprocs=1:mem=1gb:ngpus=1

#-------------------- queue system -------------------------------

#### Queue of submission
#PBS -q debug

#### Maximum length of the job (hh:mm:ss)
#PBS -l walltime=00:03:00  

# --------------- accounting/budget  -----------------------------

#### account number (type saldo -b)
#PBS -A 

# ---------------- other info ------------------------------------

#### File for standard output and error
#PBS -o job.out
#PBS -e job.err

#### Job name
#PBS -N hello_my_friend

#### send email to the following address
##PBS -M <your_address@dot.com>

#### send emai after abort or end
#PBS -m ae

# -----------end of PBS keywords section -------------------------


cd $PBS_O_WORKDIR

module load gnu
module load cuda

./vectorAdd


